%global     commit          20aa998230fcd15cc2c87496eef86a22b50dbf36
%global     githash         %(c=%{commit}; echo ${c:0:7})
%global     gitdate         20170905
%global     gittime         1735
%global     pkgname         Chrome-OS

Name:           chrome-os-gtk-theme
Version:        R8
Release:        4.%{gitdate}%{gittime}git%{githash}%{?dist}
Summary:        Themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4
Group:          User Interface/Desktops

License:        GPLv3
URL:            https://github.com/B00merang-Project/Chrome-OS
Source:         https://github.com/B00merang-Project/Chrome-OS/archive/%{commit}/%{pkgname}-%{version}-%{githash}.tar.gz

BuildArch:      noarch

%description
Chrome OS like themes for GTK+2, GTK+3, Metacity, GNOME Shell and cinnamon,

%package common
Summary:        Files common to %{pkgname} themes
Group:          User Interface/Desktops
Obsoletes:      chromeos-theme-common <= %{version}-%{release}
Obsoletes:      chrome-os-theme-common <= %{version}-%{release}

%description common
Files which are common to all %{pkgname} themes.

%package gtk2
Summary:        %{pkgname} GTK+2 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, gtk-murrine-engine >= 0.98.1.1, gtk2-engines
Obsoletes:      chromeos-theme-gtk2 <= %{version}-%{release}
Obsoletes:      chrome-os-theme-gtk2 <= %{version}-%{release}

%description gtk2
Themes for GTK+2 as part of the %{pkgname} theme.

%package gtk3
Summary:        %{pkgname} GTK+3 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:      chromeos-theme-gtk3 <= %{version}-%{release}
Obsoletes:      chrome-os-theme-gtk3 <= %{version}-%{release}

%description gtk3
Themes for GTK+3 as part of the %{pkgname} theme.

%package -n gnome-shell-theme-%{pkgname}
Summary:        %{pkgname} GNOME Shell theme
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, gnome-shell-extension-user-theme >= 3.14, google-droid-sans-fonts

%description -n gnome-shell-theme-%{pkgname}
%{pkgname} GNOME Shell theme.

%package cinnamon
Summary:        %{pkgname} Cinnamon Theme
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, cinnamon
Obsoletes:      chromeos-theme-cinnamon <= %{version}-%{release}
Obsoletes:      chrome-os-theme-cinnamon <= %{version}-%{release}

%description cinnamon
Themes for Cinnamon as part of the %{pkgname} theme.

%package metacity
Summary:        %{pkgname} Metacity themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       metacity
Obsoletes:      chromeos-theme-metacity <= %{version}-%{release}
Obsoletes:      chrome-os-theme-metacity <= %{version}-%{release}

%description metacity
Themes for Metacity as part of the %{pkgname} theme.

%prep
%setup -q -n %{pkgname}-%{commit}
find . -name Thumbs.db -type f -exec rm -f '{}' \;
rm index.theme
rm -rf unity

%build
# Nothing to build

%install
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{pkgname}
cp -pr * %{buildroot}%{_datadir}/themes/%{pkgname}

%files common
%doc %{_datadir}/themes/%{pkgname}/Readme.md
%dir %{_datadir}/themes/%{pkgname}/

%files gtk2
%{_datadir}/themes/%{pkgname}/gtk-2.0/

%files gtk3
%{_datadir}/themes/%{pkgname}/gtk-3.0/
%{_datadir}/themes/%{pkgname}/gtk-3.20/

%files -n gnome-shell-theme-Chrome-OS
%{_datadir}/themes/%{pkgname}/gnome-shell/

%files metacity
%{_datadir}/themes/%{pkgname}/metacity-1/

%files cinnamon
%{_datadir}/themes/%{pkgname}/cinnamon/

%changelog
* Fri Mar 13 2015 Heiko Adams <heiko.adams@gmail.com> - 20150313-1
- Initial package
